Leap0

Get PTY session

Get information about a PTY session.

GET
/v1/sandbox/{sandboxID}/pty/{sessionID}

Get information about a PTY session.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

sessionID*string

Unique session identifier.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.leap0.dev/v1/sandbox/string/pty/string"
{  "id": "my-terminal",  "cwd": "/home/user",  "envs": {    "property1": "string",    "property2": "string"  },  "cols": 120,  "rows": 40,  "created_at": "2019-08-24T14:15:22Z",  "active": true,  "lazy_start": true}
{  "message": "string"}
{  "message": "string"}